### Constructor

# Gdk Texture new_for_pixbuf

#### Declaration [src]

    GdkTexture*
    gdk_texture_new_for_pixbuf (
      GdkPixbuf* pixbuf
    )

#### Description [src]

Creates a new texture object representing the `GdkPixbuf`.

#### Parameters

`pixbuf` | `Gdkixbuf.Pixbuf`
| A `GdkPixbuf`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GdkTexture`
| A new `GdkTexture`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.